Skip to Content
inclamoDocs

List all automation rules in an account

GET
/api/v1/accounts/{account_id}/automation_rules

Get details of automation rules in an Account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

page?integer

The page parameter

Default1

Response Body

Success

application/json
  1. response
payload?array<>|

Response payload that contains automation rule(s)

Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/automation_rules'
Example Response
{  "payload": [    {      "id": 0,      "account_id": 0,      "name": "string",      "description": "string",      "event_name": "conversation_created",      "conditions": [        {          "values": [            "string"          ],          "attribute_key": "string",          "query_operator": "string",          "filter_operator": "string"        }      ],      "actions": [        {          "action_name": "string",          "action_params": [            "string"          ]        }      ],      "created_on": 0,      "active": true    }  ]}